Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class UserLocation.Address

    java.lang.Object
      |
      +--oracle.portal.provider.v2.UserLocation.Address

Enclosing class:
  UserLocation

public static class UserLocation.Address
extends java.lang.Object

Constructor Summary
`UserLocation.Address(java.lang.String companyName, java.lang.String addressLine1, java.lang.String addressLine2, java.lang.String addressLastLine, java.lang.String block, java.lang.String city, java.lang.String county, java.lang.String state, java.lang.String country, java.lang.String postalCode, java.lang.String postalCodeExt)`

Method Summary
`java.lang.String` | `getAddressLastLine()`
`java.lang.String` | `getAddressLine1()`
`java.lang.String` | `getAddressLine2()`
`java.lang.String` | `getBlock()`
`java.lang.String` | `getCity()`
`java.lang.String` | `getCompanyName()`
`java.lang.String` | `getCountry()`
`java.lang.String` | `getCounty()`
`java.lang.String` | `getPostalCode()`
`java.lang.String` | `getPostalCodeExt()`
`java.lang.String` | `getState()`
`void` | `setAddressLastLine(java.lang.String addressLastLine)`
`void` | `setAddressLine1(java.lang.String addressLine1)`
`void` | `setAddressLine2(java.lang.String addressLine2)`
`void` | `setBlock(java.lang.String block)`
`void` | `setCity(java.lang.String city)`
`void` | `setCompanyName(java.lang.String companyName)`
`void` | `setCountry(java.lang.String country)`
`void` | `setCounty(java.lang.String county)`
`void` | `setPostalCode(java.lang.String postalCode)`
`void` | `setPostalCodeExt(java.lang.String postalCodeExt)`
`void` | `setState(java.lang.String state)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserLocation.Address

    public UserLocation.Address(java.lang.String companyName,
                                java.lang.String addressLine1,
                                java.lang.String addressLine2,
                                java.lang.String addressLastLine,
                                java.lang.String block,
                                java.lang.String city,
                                java.lang.String county,
                                java.lang.String state,
                                java.lang.String country,
                                java.lang.String postalCode,
                                java.lang.String postalCodeExt)

Method Detail

### getCompanyName

    public java.lang.String getCompanyName()

### setCompanyName

    public void setCompanyName(java.lang.String companyName)

### getAddressLine1

    public java.lang.String getAddressLine1()

### setAddressLine1

    public void setAddressLine1(java.lang.String addressLine1)

### getAddressLine2

    public java.lang.String getAddressLine2()

### setAddressLine2

    public void setAddressLine2(java.lang.String addressLine2)

### getAddressLastLine

    public java.lang.String getAddressLastLine()

### setAddressLastLine

    public void setAddressLastLine(java.lang.String addressLastLine)

### getBlock

    public java.lang.String getBlock()

### setBlock

    public void setBlock(java.lang.String block)

### getCity

    public java.lang.String getCity()

### setCity

    public void setCity(java.lang.String city)

### getCounty

    public java.lang.String getCounty()

### setCounty

    public void setCounty(java.lang.String county)

### getState

    public java.lang.String getState()

### setState

    public void setState(java.lang.String state)

### getCountry

    public java.lang.String getCountry()

### setCountry

    public void setCountry(java.lang.String country)

### getPostalCode

    public java.lang.String getPostalCode()

### setPostalCode

    public void setPostalCode(java.lang.String postalCode)

### getPostalCodeExt

    public java.lang.String getPostalCodeExt()

### setPostalCodeExt

    public void setPostalCodeExt(java.lang.String postalCodeExt)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.